org.apache.solr.client.solrj.response

## Class SolrResponseBase

- java.lang.Object
- - org.apache.solr.client.solrj.SolrResponse
  - - org.apache.solr.client.solrj.response.SolrResponseBase

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AnalysisResponseBase, CollectionAdminResponse, CoreAdminResponse, LukeResponse, QueryResponse, SchemaResponse, SchemaResponse.CopyFieldsResponse, SchemaResponse.DefaultQueryOperatorResponse, SchemaResponse.DynamicFieldResponse, SchemaResponse.DynamicFieldsResponse, SchemaResponse.FieldResponse, SchemaResponse.FieldsResponse, SchemaResponse.FieldTypeResponse, SchemaResponse.FieldTypesResponse, SchemaResponse.GlobalSimilarityResponse, SchemaResponse.SchemaNameResponse, SchemaResponse.SchemaVersionResponse, SchemaResponse.UniqueKeyResponse, SchemaResponse.UpdateResponse, SolrPingResponse, UpdateResponse

    public class SolrResponseBase
    extends SolrResponse

Since:
  solr 1.3
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SolrResponseBase()`

### Method Summary

Methods
`long` `getElapsedTime()`
`int` `getQTime()`
`String` `getRequestUrl()`
`NamedList<Object>` `getResponse()`
`NamedList` `getResponseHeader()`
`int` `getStatus()`
`void` `setElapsedTime(long elapsedTime)`
`void` `setRequestUrl(String requestUrl)`
`void` `setResponse(NamedList<Object> response)`
`String` `toString()`

### Methods inherited from class org.apache.solr.client.solrj.SolrResponse

`deserialize, serializable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SolrResponseBase

    public SolrResponseBase()

### Method Detail

#### getElapsedTime

    public long getElapsedTime()

Specified by:
  `getElapsedTime` in class `SolrResponse`

#### setElapsedTime

    public void setElapsedTime(long elapsedTime)

Specified by:
  `setElapsedTime` in class `SolrResponse`

#### getResponse

    public NamedList<Object> getResponse()

Specified by:
  `getResponse` in class `SolrResponse`

#### setResponse

    public void setResponse(NamedList<Object> response)

Specified by:
  `setResponse` in class `SolrResponse`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getResponseHeader

    public NamedList getResponseHeader()

#### getStatus

    public int getStatus()

#### getQTime

    public int getQTime()

#### getRequestUrl

    public String getRequestUrl()

#### setRequestUrl

    public void setRequestUrl(String requestUrl)